
#import <UIKit/UIKit.h>
#import "BUAdSDK/BUAdSDK.h"

NS_ASSUME_NONNULL_BEGIN

@protocol WUSplashAdDelegate;

@interface WUSplashADView : UIView

- (instancetype)initWithSlotID:(NSString *)slotID frame:(CGRect)frame;

@property (nonatomic, weak, nullable) id<WUSplashAdDelegate> delegate;

@property (nonatomic, weak) UIViewController *rootViewController;

@end

@protocol WUSplashAdDelegate <NSObject>

@optional

- (void)splashAdDidLoad:(WUSplashADView *)splashAd;

- (void)splashAdDidExposed:(WUSplashADView *)splashAd;

- (void)splashAd:(WUSplashADView *)splashAd didFailWithError:(NSError * _Nullable)error;

- (void)splashAdDidClick:(WUSplashADView *)splashAd;

- (void)splashAdDidClose:(WUSplashADView *)splashAd;

@end

NS_ASSUME_NONNULL_END
