#import "AppDelegate.h"
#import "GeneratedPluginRegistrant.h"
#import <AdSDK/WUSplashADView.h>

@interface AppDelegate ()<WUSplashAdDelegate>

@end

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application
    didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
  [GeneratedPluginRegistrant registerWithRegistry:self];
  // Override point for customization after application launch.
    
    CGRect frame = [UIScreen mainScreen].bounds;
    WUSplashADView *splashView = [[WUSplashADView alloc] initWithSlotID:@"196014056677572608" frame:frame];
    splashView.delegate = self;
    UIWindow *keyWindow = [UIApplication sharedApplication].windows.firstObject;
    [keyWindow.rootViewController.view addSubview:splashView];
    splashView.rootViewController = keyWindow.rootViewController;
    
  return [super application:application didFinishLaunchingWithOptions:launchOptions];
}

- (void)splashAdDidLoad:(WUSplashADView *)splashAd{
    
}

- (void)splashAdDidExposed:(WUSplashADView *)splashAd{
    
}

- (void)splashAd:(WUSplashADView *)splashAd didFailWithError:(NSError * _Nullable)error{
    
}

- (void)splashAdDidClick:(WUSplashADView *)splashAd{
    
}

- (void)splashAdDidClose:(WUSplashADView *)splashAd{
    
}
@end
