import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:fusionsdk/fusion_banner_view.dart';
import 'dart:io';

class BannerPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    var codeId;
    if(Platform.isAndroid) {
      codeId = "87913043270303744";
    }
    if(Platform.isIOS) {
      codeId = "196014072674648064";
    }
    return Scaffold(
      appBar: AppBar(),
      body: Center(
        child: Column(
          children: <Widget>[
            BannerAdView(
              codeId: codeId,
              onAdLoad: () {
                print("BannerAd onAdLoad");
              },
              onAdShow: () {
                print("BannerAd onAdShow");
              },
              onAdClick: () {
                print("BannerAd onAdClick");
              },
              onAdClose: () {
                print("BannerAd onAdClose");
              },
              onAdError: (int code, String msg) {
                print("BannerAd onError   ${code}  ${msg}");

              },
            ),
          ],
        ),
      ),
    );
  }
}
